#
#	Makefile for xraw on NeXTStep
# 
TOP = ../../..

# The applications
APPS = \
IModel \

# Files to be compiled for each application
IModel_OBJS = \
IModel.o \
IMModelView.o \
IMModelWindow.o \
Controller.o

$(TARGET)_PRINCIPAL_CLASS = Controller

#
#	Include Makefiles 
# 
include $(TOP)/Makefiles/app.make


all::								# remove app from parent dir if it exists
									# and then move app to parent dir 
	if [ -d ../IModel.app ]; then \
		rm -rf ../IModel.app; \
	fi								
	if [ -d ./IModel.app ]; then \
	    mv ./IModel.app ..; \
	fi
